Subject: Bug#307 closed by Mike Gabriel <[email-masked]> (Re: [X2Go-Dev] Bug#307: x2goserver dependency breaks)

From: [email-masked] (X2Go Bug Tracking System)
Date: Fri, 27 Sep 2013 21:48:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the python-x2go package:

#307: x2goserver dependency breaks

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
307: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=307
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Bug#307: x2goserver dependency breaks
From: Mike Gabriel <[email-masked]>
To: westlake <[email-masked]>, [email-masked]
Date: Fri, 27 Sep 2013 21:35:13 +0000

Control: close -1

Hi Scott,

On  Fr 27 Sep 2013 20:45:03 CEST, westlake wrote:

> The bug report 721733 I filed quite awhile ago, it shows all the  
> packages with the reportbug tool (edition#'s)

The reason for it is in latest paramiko upstream (and got introduced  
two years ago).

I have patched the paramiko version, we provide via our archive and  
also filed a pull request for paramiko upstream:
https://github.com/paramiko/paramiko/pull/215

Closing this issue on X2Go BTS, as it now gets tracked and hopefully  
fixed elsewhere.

I will also report the issue to the Debian maintainer of paramiko.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

Subject: x2goserver dependency breaks
From: westlake <[email-masked]>
To: [email-masked]
Date: Fri, 13 Sep 2013 05:04:39 -0400

Package: x2goserver
Version: 0.01

the python-paramiko package is incompatible with app/s on debian

apt-cache policy python-paramiko
python-paramiko:
   Installed: 1.11.0-0+wheezy~main~878~build1
   Candidate: 1.11.0-0+wheezy~main~878~build1
   Version table:
  *** 1.11.0-0+wheezy~main~878~build1 0
         500 http://packages.x2go.org/debian/ wheezy/main amd64 Packages
         100 /var/lib/dpkg/status
      1.7.7.1-3.1 0
         500 http://debian.bhs.mirrors.ovh.net/debian/ wheezy/main amd64 
Packages

python-paramiko from packages.x2go.org, for eg breaks mysql-workbench on 
debian..

I suppose I can try to divert or use Wheezy/sid, but I'd just like to 
share this info

Since time is spent into making .deb files, why not simply have it 
available with debian directly? It can prevent the above problem :)

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=465821